package com.gyee.wisdom.dao.redis;

import com.gyee.wisdom.common.data.timeseries.*;
import com.gyee.wisdom.dao.timeseries.IDataChangeDao;
import com.gyee.wisdom.dao.timeseries.RedisDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.*;

@Component
@RedisDao
@Slf4j
public class RedisDataChangeDao implements IDataChangeDao {


    public void registerTopic(String topic, List<TsPoint> tsPoints)  {


    }

    public void unRegisterTopic(String topic) {

    }

    public Map<String, TsData> getTopicDataChange(String topic) {
        return null;
    }


}
